com.example.anna.phototag

## Class R.attr

- java.lang.Object
- - com.example.anna.phototag.R.attr

- Enclosing class:
    R

      public static final class R.attr
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `actionBarDivider` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `actionBarItemBackground` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `actionBarPopupTheme` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `actionBarSize` May be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `actionBarSplitStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `actionBarStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `actionBarTabBarStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `actionBarTabStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `actionBarTabTextStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `actionBarTheme` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `actionBarWidgetTheme` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `actionButtonStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `actionDropDownStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `actionLayout` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `actionMenuTextAppearance` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `actionMenuTextColor` May be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `actionModeBackground` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `actionModeCloseButtonStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `actionModeCloseDrawable` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `actionModeCopyDrawable` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `actionModeCutDrawable` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `actionModeFindDrawable` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `actionModePasteDrawable` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `actionModePopupWindowStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `actionModeSelectAllDrawable` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `actionModeShareDrawable` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `actionModeSplitBackground` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `actionModeStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `actionModeWebSearchDrawable` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `actionOverflowButtonStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `actionOverflowMenuStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `actionProviderClass` Must be a string value, using '\\;' to escape characters such as '\\n' or '\\uxxxx' for a unicode character.
    `static int` | `actionViewClass` Must be a string value, using '\\;' to escape characters such as '\\n' or '\\uxxxx' for a unicode character.
    `static int` | `activityChooserViewStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `background` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `backgroundSplit` May be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `backgroundStacked` May be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `barSize` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `buttonBarButtonStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `buttonBarStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `closeIcon` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `closeItemLayout` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `collapseContentDescription` Must be a string value, using '\\;' to escape characters such as '\\n' or '\\uxxxx' for a unicode character.
    `static int` | `collapseIcon` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `color` Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".
    `static int` | `colorAccent` Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".
    `static int` | `colorButtonNormal` Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".
    `static int` | `colorControlActivated` Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".
    `static int` | `colorControlHighlight` Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".
    `static int` | `colorControlNormal` Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".
    `static int` | `colorPrimary` Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".
    `static int` | `colorPrimaryDark` Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".
    `static int` | `colorSwitchThumbNormal` Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".
    `static int` | `commitIcon` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `contentInsetEnd` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `contentInsetLeft` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `contentInsetRight` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `contentInsetStart` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `customNavigationLayout` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `disableChildrenWhenDisabled` Must be a boolean value, either "`true`" or "`false`".
    `static int` | `displayOptions` Must be one or more (separated by '|') of the following constant values.
    `static int` | `divider` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `dividerHorizontal` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `dividerPadding` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `dividerVertical` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `drawableSize` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `drawerArrowStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `dropdownListPreferredItemHeight` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `dropDownListViewStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `editTextBackground` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `editTextColor` May be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `elevation` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `expandActivityOverflowButtonDrawable` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `gapBetweenBars` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `goIcon` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `height` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `hideOnContentScroll` Must be a boolean value, either "`true`" or "`false`".
    `static int` | `homeAsUpIndicator` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `homeLayout` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `icon` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `iconifiedByDefault` Must be a boolean value, either "`true`" or "`false`".
    `static int` | `indeterminateProgressStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `initialActivityCount` Must be a string value, using '\\;' to escape characters such as '\\n' or '\\uxxxx' for a unicode character.
    `static int` | `isLightTheme` Must be a boolean value, either "`true`" or "`false`".
    `static int` | `itemPadding` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `layout` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `listChoiceBackgroundIndicator` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `listPopupWindowStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `listPreferredItemHeight` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `listPreferredItemHeightLarge` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `listPreferredItemHeightSmall` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `listPreferredItemPaddingLeft` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `listPreferredItemPaddingRight` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `logo` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `maxButtonHeight` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `measureWithLargestChild` Must be a boolean value, either "`true`" or "`false`".
    `static int` | `middleBarArrowSize` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `navigationContentDescription` Must be a string value, using '\\;' to escape characters such as '\\n' or '\\uxxxx' for a unicode character.
    `static int` | `navigationIcon` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `navigationMode` Must be one of the following constant values.
    `static int` | `overlapAnchor` Must be a boolean value, either "`true`" or "`false`".
    `static int` | `paddingEnd` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `paddingStart` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `panelBackground` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `panelMenuListTheme` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `panelMenuListWidth` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `popupMenuStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `popupPromptView` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `popupTheme` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `popupWindowStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `preserveIconSpacing` Must be a boolean value, either "`true`" or "`false`".
    `static int` | `progressBarPadding` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `progressBarStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `prompt` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `queryBackground` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `queryHint` Must be a string value, using '\\;' to escape characters such as '\\n' or '\\uxxxx' for a unicode character.
    `static int` | `searchIcon` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `searchViewStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `selectableItemBackground` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `selectableItemBackgroundBorderless` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `showAsAction` Must be one or more (separated by '|') of the following constant values.
    `static int` | `showDividers` Must be one or more (separated by '|') of the following constant values.
    `static int` | `showText` Must be a boolean value, either "`true`" or "`false`".
    `static int` | `spinBars` Must be a boolean value, either "`true`" or "`false`".
    `static int` | `spinnerDropDownItemStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `spinnerMode` Must be one of the following constant values.
    `static int` | `spinnerStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `splitTrack` Must be a boolean value, either "`true`" or "`false`".
    `static int` | `state_above_anchor` Must be a boolean value, either "`true`" or "`false`".
    `static int` | `submitBackground` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `subtitle` Must be a string value, using '\\;' to escape characters such as '\\n' or '\\uxxxx' for a unicode character.
    `static int` | `subtitleTextAppearance` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `subtitleTextStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `suggestionRowLayout` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `switchMinWidth` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `switchPadding` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `switchStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `switchTextAppearance` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `textAllCaps` May be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `textAppearanceLargePopupMenu` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `textAppearanceListItem` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `textAppearanceListItemSmall` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `textAppearanceSearchResultSubtitle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `textAppearanceSearchResultTitle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `textAppearanceSmallPopupMenu` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `textColorSearchUrl` May be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `theme` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `thickness` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `thumbTextPadding` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `title` Must be a string value, using '\\;' to escape characters such as '\\n' or '\\uxxxx' for a unicode character.
    `static int` | `titleMarginBottom` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `titleMarginEnd` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `titleMargins` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `titleMarginStart` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `titleMarginTop` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `titleTextAppearance` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `titleTextStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `toolbarNavigationButtonStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `toolbarStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `topBottomBarArrowSize` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `track` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `voiceIcon` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `windowActionBar` Must be a boolean value, either "`true`" or "`false`".
    `static int` | `windowActionBarOverlay` Must be a boolean value, either "`true`" or "`false`".
    `static int` | `windowActionModeOverlay` Must be a boolean value, either "`true`" or "`false`".
    `static int` | `windowFixedHeightMajor` May be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `windowFixedHeightMinor` May be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `windowFixedWidthMajor` May be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `windowFixedWidthMinor` May be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `R.attr()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### actionBarDivider

          public static final int actionBarDivider

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionBarItemBackground

          public static final int actionBarItemBackground

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionBarPopupTheme

          public static final int actionBarPopupTheme

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionBarSize

          public static final int actionBarSize

      May be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      May be one of the following constant values.

      Constant | Value | Description
      --- | --- | ---
      `wrap_content` | 0 |

      See Also:
        Constant Field Values

    - #### actionBarSplitStyle

          public static final int actionBarSplitStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionBarStyle

          public static final int actionBarStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionBarTabBarStyle

          public static final int actionBarTabBarStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionBarTabStyle

          public static final int actionBarTabStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionBarTabTextStyle

          public static final int actionBarTabTextStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionBarTheme

          public static final int actionBarTheme

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionBarWidgetTheme

          public static final int actionBarWidgetTheme

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionButtonStyle

          public static final int actionButtonStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionDropDownStyle

          public static final int actionDropDownStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionLayout

          public static final int actionLayout

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionMenuTextAppearance

          public static final int actionMenuTextAppearance

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionMenuTextColor

          public static final int actionMenuTextColor

      May be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      May be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".

      See Also:
        Constant Field Values

    - #### actionModeBackground

          public static final int actionModeBackground

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionModeCloseButtonStyle

          public static final int actionModeCloseButtonStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionModeCloseDrawable

          public static final int actionModeCloseDrawable

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionModeCopyDrawable

          public static final int actionModeCopyDrawable

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionModeCutDrawable

          public static final int actionModeCutDrawable

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionModeFindDrawable

          public static final int actionModeFindDrawable

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionModePasteDrawable

          public static final int actionModePasteDrawable

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionModePopupWindowStyle

          public static final int actionModePopupWindowStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionModeSelectAllDrawable

          public static final int actionModeSelectAllDrawable

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionModeShareDrawable

          public static final int actionModeShareDrawable

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionModeSplitBackground

          public static final int actionModeSplitBackground

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionModeStyle

          public static final int actionModeStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionModeWebSearchDrawable

          public static final int actionModeWebSearchDrawable

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionOverflowButtonStyle

          public static final int actionOverflowButtonStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionOverflowMenuStyle

          public static final int actionOverflowMenuStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionProviderClass

          public static final int actionProviderClass

      Must be a string value, using '\\;' to escape characters such as '\\n' or '\\uxxxx' for a unicode character.

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### actionViewClass

          public static final int actionViewClass

      Must be a string value, using '\\;' to escape characters such as '\\n' or '\\uxxxx' for a unicode character.

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### activityChooserViewStyle

          public static final int activityChooserViewStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### background

          public static final int background

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### backgroundSplit

          public static final int backgroundSplit

      May be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      May be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".

      See Also:
        Constant Field Values

    - #### backgroundStacked

          public static final int backgroundStacked

      May be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      May be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".

      See Also:
        Constant Field Values

    - #### barSize

          public static final int barSize

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### buttonBarButtonStyle

          public static final int buttonBarButtonStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### buttonBarStyle

          public static final int buttonBarStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### closeIcon

          public static final int closeIcon

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### closeItemLayout

          public static final int closeItemLayout

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### collapseContentDescription

          public static final int collapseContentDescription

      Must be a string value, using '\\;' to escape characters such as '\\n' or '\\uxxxx' for a unicode character.

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### collapseIcon

          public static final int collapseIcon

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### color

          public static final int color

      Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### colorAccent

          public static final int colorAccent

      Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### colorButtonNormal

          public static final int colorButtonNormal

      Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### colorControlActivated

          public static final int colorControlActivated

      Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### colorControlHighlight

          public static final int colorControlHighlight

      Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### colorControlNormal

          public static final int colorControlNormal

      Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### colorPrimary

          public static final int colorPrimary

      Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### colorPrimaryDark

          public static final int colorPrimaryDark

      Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### colorSwitchThumbNormal

          public static final int colorSwitchThumbNormal

      Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### commitIcon

          public static final int commitIcon

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### contentInsetEnd

          public static final int contentInsetEnd

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### contentInsetLeft

          public static final int contentInsetLeft

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### contentInsetRight

          public static final int contentInsetRight

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### contentInsetStart

          public static final int contentInsetStart

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### customNavigationLayout

          public static final int customNavigationLayout

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### disableChildrenWhenDisabled

          public static final int disableChildrenWhenDisabled

      Must be a boolean value, either "`true`" or "`false`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### displayOptions

          public static final int displayOptions

      Must be one or more (separated by '|') of the following constant values.

      Constant | Value | Description
      --- | --- | ---
      `none` | 0 |
      `useLogo` | 0x1 |
      `showHome` | 0x2 |
      `homeAsUp` | 0x4 |
      `showTitle` | 0x8 |
      `showCustom` | 0x10 |
      `disableHome` | 0x20 |

      See Also:
        Constant Field Values

    - #### divider

          public static final int divider

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### dividerHorizontal

          public static final int dividerHorizontal

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### dividerPadding

          public static final int dividerPadding

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### dividerVertical

          public static final int dividerVertical

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### drawableSize

          public static final int drawableSize

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### drawerArrowStyle

          public static final int drawerArrowStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### dropDownListViewStyle

          public static final int dropDownListViewStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### dropdownListPreferredItemHeight

          public static final int dropdownListPreferredItemHeight

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### editTextBackground

          public static final int editTextBackground

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### editTextColor

          public static final int editTextColor

      May be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      May be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".

      See Also:
        Constant Field Values

    - #### elevation

          public static final int elevation

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### expandActivityOverflowButtonDrawable

          public static final int expandActivityOverflowButtonDrawable

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### gapBetweenBars

          public static final int gapBetweenBars

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### goIcon

          public static final int goIcon

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### height

          public static final int height

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### hideOnContentScroll

          public static final int hideOnContentScroll

      Must be a boolean value, either "`true`" or "`false`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### homeAsUpIndicator

          public static final int homeAsUpIndicator

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### homeLayout

          public static final int homeLayout

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### icon

          public static final int icon

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### iconifiedByDefault

          public static final int iconifiedByDefault

      Must be a boolean value, either "`true`" or "`false`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### indeterminateProgressStyle

          public static final int indeterminateProgressStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### initialActivityCount

          public static final int initialActivityCount

      Must be a string value, using '\\;' to escape characters such as '\\n' or '\\uxxxx' for a unicode character.

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### isLightTheme

          public static final int isLightTheme

      Must be a boolean value, either "`true`" or "`false`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### itemPadding

          public static final int itemPadding

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### layout

          public static final int layout

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### listChoiceBackgroundIndicator

          public static final int listChoiceBackgroundIndicator

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### listPopupWindowStyle

          public static final int listPopupWindowStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### listPreferredItemHeight

          public static final int listPreferredItemHeight

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### listPreferredItemHeightLarge

          public static final int listPreferredItemHeightLarge

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### listPreferredItemHeightSmall

          public static final int listPreferredItemHeightSmall

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### listPreferredItemPaddingLeft

          public static final int listPreferredItemPaddingLeft

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### listPreferredItemPaddingRight

          public static final int listPreferredItemPaddingRight

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### logo

          public static final int logo

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### maxButtonHeight

          public static final int maxButtonHeight

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### measureWithLargestChild

          public static final int measureWithLargestChild

      Must be a boolean value, either "`true`" or "`false`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### middleBarArrowSize

          public static final int middleBarArrowSize

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### navigationContentDescription

          public static final int navigationContentDescription

      Must be a string value, using '\\;' to escape characters such as '\\n' or '\\uxxxx' for a unicode character.

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### navigationIcon

          public static final int navigationIcon

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### navigationMode

          public static final int navigationMode

      Must be one of the following constant values.

      Constant | Value | Description
      --- | --- | ---
      `normal` | 0 |
      `listMode` | 1 |
      `tabMode` | 2 |

      See Also:
        Constant Field Values

    - #### overlapAnchor

          public static final int overlapAnchor

      Must be a boolean value, either "`true`" or "`false`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### paddingEnd

          public static final int paddingEnd

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### paddingStart

          public static final int paddingStart

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### panelBackground

          public static final int panelBackground

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### panelMenuListTheme

          public static final int panelMenuListTheme

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### panelMenuListWidth

          public static final int panelMenuListWidth

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### popupMenuStyle

          public static final int popupMenuStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### popupPromptView

          public static final int popupPromptView

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### popupTheme

          public static final int popupTheme

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### popupWindowStyle

          public static final int popupWindowStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### preserveIconSpacing

          public static final int preserveIconSpacing

      Must be a boolean value, either "`true`" or "`false`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### progressBarPadding

          public static final int progressBarPadding

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### progressBarStyle

          public static final int progressBarStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### prompt

          public static final int prompt

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### queryBackground

          public static final int queryBackground

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### queryHint

          public static final int queryHint

      Must be a string value, using '\\;' to escape characters such as '\\n' or '\\uxxxx' for a unicode character.

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### searchIcon

          public static final int searchIcon

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### searchViewStyle

          public static final int searchViewStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### selectableItemBackground

          public static final int selectableItemBackground

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### selectableItemBackgroundBorderless

          public static final int selectableItemBackgroundBorderless

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### showAsAction

          public static final int showAsAction

      Must be one or more (separated by '|') of the following constant values.

      Constant | Value | Description
      --- | --- | ---
      `never` | 0 |
      `ifRoom` | 1 |
      `always` | 2 |
      `withText` | 4 |
      `collapseActionView` | 8 |

      See Also:
        Constant Field Values

    - #### showDividers

          public static final int showDividers

      Must be one or more (separated by '|') of the following constant values.

      Constant | Value | Description
      --- | --- | ---
      `none` | 0 |
      `beginning` | 1 |
      `middle` | 2 |
      `end` | 4 |

      See Also:
        Constant Field Values

    - #### showText

          public static final int showText

      Must be a boolean value, either "`true`" or "`false`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### spinBars

          public static final int spinBars

      Must be a boolean value, either "`true`" or "`false`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### spinnerDropDownItemStyle

          public static final int spinnerDropDownItemStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### spinnerMode

          public static final int spinnerMode

      Must be one of the following constant values.

      Constant | Value | Description
      --- | --- | ---
      `dialog` | 0 |
      `dropdown` | 1 |

      See Also:
        Constant Field Values

    - #### spinnerStyle

          public static final int spinnerStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### splitTrack

          public static final int splitTrack

      Must be a boolean value, either "`true`" or "`false`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### state_above_anchor

          public static final int state_above_anchor

      Must be a boolean value, either "`true`" or "`false`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### submitBackground

          public static final int submitBackground

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### subtitle

          public static final int subtitle

      Must be a string value, using '\\;' to escape characters such as '\\n' or '\\uxxxx' for a unicode character.

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### subtitleTextAppearance

          public static final int subtitleTextAppearance

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### subtitleTextStyle

          public static final int subtitleTextStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### suggestionRowLayout

          public static final int suggestionRowLayout

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### switchMinWidth

          public static final int switchMinWidth

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### switchPadding

          public static final int switchPadding

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### switchStyle

          public static final int switchStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### switchTextAppearance

          public static final int switchTextAppearance

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### textAllCaps

          public static final int textAllCaps

      May be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      May be a boolean value, either "`true`" or "`false`".

      See Also:
        Constant Field Values

    - #### textAppearanceLargePopupMenu

          public static final int textAppearanceLargePopupMenu

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### textAppearanceListItem

          public static final int textAppearanceListItem

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### textAppearanceListItemSmall

          public static final int textAppearanceListItemSmall

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### textAppearanceSearchResultSubtitle

          public static final int textAppearanceSearchResultSubtitle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### textAppearanceSearchResultTitle

          public static final int textAppearanceSearchResultTitle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### textAppearanceSmallPopupMenu

          public static final int textAppearanceSmallPopupMenu

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### textColorSearchUrl

          public static final int textColorSearchUrl

      May be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      May be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".

      See Also:
        Constant Field Values

    - #### theme

          public static final int theme

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### thickness

          public static final int thickness

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### thumbTextPadding

          public static final int thumbTextPadding

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### title

          public static final int title

      Must be a string value, using '\\;' to escape characters such as '\\n' or '\\uxxxx' for a unicode character.

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### titleMarginBottom

          public static final int titleMarginBottom

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### titleMarginEnd

          public static final int titleMarginEnd

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### titleMarginStart

          public static final int titleMarginStart

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### titleMarginTop

          public static final int titleMarginTop

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### titleMargins

          public static final int titleMargins

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### titleTextAppearance

          public static final int titleTextAppearance

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### titleTextStyle

          public static final int titleTextStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### toolbarNavigationButtonStyle

          public static final int toolbarNavigationButtonStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### toolbarStyle

          public static final int toolbarStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### topBottomBarArrowSize

          public static final int topBottomBarArrowSize

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### track

          public static final int track

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### voiceIcon

          public static final int voiceIcon

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### windowActionBar

          public static final int windowActionBar

      Must be a boolean value, either "`true`" or "`false`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### windowActionBarOverlay

          public static final int windowActionBarOverlay

      Must be a boolean value, either "`true`" or "`false`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### windowActionModeOverlay

          public static final int windowActionModeOverlay

      Must be a boolean value, either "`true`" or "`false`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### windowFixedHeightMajor

          public static final int windowFixedHeightMajor

      May be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      May be a fractional value, which is a floating point number appended with either % or %p, such as "`14.5%`". The % suffix always means a percentage of the base size; the optional %p suffix provides a size relative to some parent container.

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### windowFixedHeightMinor

          public static final int windowFixedHeightMinor

      May be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      May be a fractional value, which is a floating point number appended with either % or %p, such as "`14.5%`". The % suffix always means a percentage of the base size; the optional %p suffix provides a size relative to some parent container.

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### windowFixedWidthMajor

          public static final int windowFixedWidthMajor

      May be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      May be a fractional value, which is a floating point number appended with either % or %p, such as "`14.5%`". The % suffix always means a percentage of the base size; the optional %p suffix provides a size relative to some parent container.

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### windowFixedWidthMinor

          public static final int windowFixedWidthMinor

      May be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      May be a fractional value, which is a floating point number appended with either % or %p, such as "`14.5%`". The % suffix always means a percentage of the base size; the optional %p suffix provides a size relative to some parent container.

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### R.attr

          public R.attr()